<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<Blog.WebApp.Models.ExibirPost>" %>
<%@ Import Namespace="Blog.WebApp.Helpers"%>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Post
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <div>
        <h3>
            <%= Model.Post.Titulo %></h3>
        <div>
            <div>
                <p>
                    Postado por
                    <%= Model.Post.Autor.Nome%>
                    em
                    <%= Model.Post.DataDePostagem.ToString(@"dd \de MMMM \de yyyy")%>
                </p>
            </div>
        </div>
        <div>
            <%= Model.Post.Corpo%>
        </div>
    </div>
    <div id="secondary-tabs">
        <!-- comments and trackback tabs -->
        <a id="comentarios"></a>
        <ul>
            <li>
                <a href="#tab-1"><span><span>
                    <%= Model.Post.Comentarios.Count().Comentarios()%>
                </span></span></a>
            </li>
        </ul>
        <!-- /comments and trackback tabs -->
        <!-- comments -->
        <div id="tab-1">
            <ol id="comments">
                <% foreach (var comentario in Model.Post.Comentarios)
                   {%>
                <!-- comment entry -->
                <li id="comment-<%= comentario.Id %>">
                    <div>
                        <div>
                            <a>
                                <img width="64" height="64"src="../../Content/images/Quem.png"
                                    alt="" /></a>
                        </div>
                        <div>
                            <p>
                                <span>De <a href="<%= comentario.Comentarista.Site %>" id="commentauthor-<%= comentario.Id %>">
                                    <%= comentario.Comentarista.Nome %>
                                </a>em
                                    <%= comentario.DataDePostagem.ToString(@"dd \de MMMM \de yyyy") %>
                                </span>
                            </p>
                            <!-- comment contents -->
                            <div>
                                <div id="commentbody-<%= comentario.Id %>">
                                    <p>
                                        <%= comentario.Corpo %>
                                    </p>
                                </div>
                            </div>
                            <!-- /comment contents -->
                        </div>
                        <div style="display: none; opacity: 0; top: -21px;">
                            <span></span><span class="button quote">
                                <a onclick="MGJS_CMT.quote('commentauthor-<%= comentario.Id %>', 'comment-<%= comentario.Id %>', 'commentbody-<%= comentario.Id %>', 'Comentario_Corpo');" href="javascript:void(0);" title="Quote">
                                    <span><span>Quote</span></span>
                                </a>
                            </span>
                        </div>
                        <span class="editlink"></span>
                    </div>
                </li>
                <%} %>
            </ol>
            <div id="respond">
                <%= Html.ValidationSummary("Comentrio no includo, veja os erros e reenvie.") %>
                <% using (Html.BeginForm("PostarComentario", "Posts", new { id = Model.Post.Id }, FormMethod.Post, new { id = "commentform" }))
                   {%>
                <%= Html.Hidden("Comentario.PostId", Model.Post.Id)%>
                <div>
                    <a style="display: none;" href="#respond" id="cancel-comment-reply-link" rel="nofollow">
                        Cancel Reply</a></div>
                <div id="author_info">
                    <div>
                        <%= Html.TextBox("Comentarista.Nome")%>
                        <label for="Comentarista.Nome">Nome</label>
                        <%= Html.ValidationMessage("Comentarista.Nome", "*")%>
                    </div>
                    <div>
                        <%= Html.TextBox("Comentarista.Email")%>
                        <label for="Comentarista.Email">E-mail</label>
                        <%= Html.ValidationMessage("Comentarista.Email", "*")%>
                    </div>
                    <div>
                        <%= Html.TextBox("Comentarista.Site")%>
                        <label for="Comentarista.Site">Website</label>
                        <%= Html.ValidationMessage("Comentarista.Site", "*")%>
                    </div>
                </div>
                <!-- comment input -->
                <div>
                    <%= Html.TextArea("Corpo", null, new { rows = 8, columns = 100, style="width:400px;" }) %>
                    <%= Html.ValidationMessage("Comentario.Corpo", "*") %>
                    <br />
                </div>
                <!-- /comment input -->
                <!-- comment submit and rss -->
                <div class="left" id="submitbox">
                    <span class="button submit"><a href="javascript:document.getElementById('commentform').submit();"
                        title="Submeter Comentrio"><span><span>Submeter comentrio</span></span></a></span>
                    <input type="hidden" name="formInput" />
                </div>
                <div class="clear" ></div>
                <%} %>
            </div>
        </div>
        <!-- /comments -->
    </div>          

</asp:Content>
